%define		package	ExpressionLanguage
%define		php_min_version 5.3.9
%include	/usr/lib/rpm/macros.php
Summary:	Symfony2 ExpressionLanguage Component
Name:		php-symfony2-ExpressionLanguage
Version:	2.7.8
Release:	1
License:	MIT
Group:		Development/Languages/PHP
Source0:	https://github.com/symfony/expression-language/archive/v%{version}/%{package}-%{version}.tar.gz
# Source0-md5:	4103476177d778d8af7ea514ea154222
URL:		http://symfony.com/doc/2.7/components/expression_language/index.html
BuildRequires:	phpab
BuildRequires:	rpmbuild(macros) >= 1.610
Requires:	php(core) >= %{php_min_version}
Requires:	php(ctype)
Requires:	php(pcre)
Requires:	php(spl)
Requires:	php-dirs >= 1.6
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Symfony2 ExpressionLanguage Component.

The ExpressionLanguage component provides an engine that can compile
and evaluate expressions. An expression is a one-liner that returns a
value (mostly, but not limited to, Booleans).

%prep
%setup -q -n expression-language-%{version}

%build
phpab -n -e '*/Tests/*' -o autoload.php .

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{php_data_dir}/Symfony/Component/%{package}
cp -a *.php */ $RPM_BUILD_ROOT%{php_data_dir}/Symfony/Component/%{package}
rm -r $RPM_BUILD_ROOT%{php_data_dir}/Symfony/Component/%{package}/Tests
# dev
rm $RPM_BUILD_ROOT%{php_data_dir}/Symfony/Component/%{package}/Resources/bin/generate_operator_regex.php

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc CHANGELOG.md LICENSE README.md
%dir %{php_data_dir}/Symfony/Component/ExpressionLanguage
%{php_data_dir}/Symfony/Component/ExpressionLanguage/*.php
%{php_data_dir}/Symfony/Component/ExpressionLanguage/Node
%{php_data_dir}/Symfony/Component/ExpressionLanguage/ParserCache
%changelog
* Tue Jan 05 2016 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/php-symfony2-ExpressionLanguage.git;a=log;h=master

* Tue Jan 05 2016 Elan Ruusamäe <glen@delfi.ee> 869112e
- up to 2.7.8

* Mon Jan 04 2016 Elan Ruusamäe <glen@delfi.ee> 5a1b3e8
- php-dirs dep

* Wed Nov 25 2015 Elan Ruusamäe <glen@delfi.ee> 0bed77c
- skip implicit pear-dirs package, dir dep is enough

* Wed Nov 25 2015 Elan Ruusamäe <glen@delfi.ee> 2d173d3
- install to php data dir

* Wed Nov 25 2015 Elan Ruusamäe <glen@delfi.ee> a3dee45
- up to 2.7.7; use autoload.php for autoload name

* Fri Oct 02 2015 Elan Ruusamäe <glen@delfi.ee> 9a71382
- up to 2.7.5

* Tue Aug 11 2015 Elan Ruusamäe <glen@delfi.ee> 09638a8
- fix php-pear dependency

* Thu Aug 06 2015 Elan Ruusamäe <glen@delfi.ee> b6eb396
- up to 2.7.3-lts

* Thu Aug 07 2014 Elan Ruusamäe <glen@delfi.ee> 532658b
- use autoloader.php as autoload bootstrap

* Mon Aug 04 2014 Elan Ruusamäe <glen@delfi.ee> 55aa25f
- up to 2.4.8, use github source

* Thu Jul 17 2014 Elan Ruusamäe <glen@delfi.ee> a470cb6
- up to 2.4.4

* Sat Apr 12 2014 Elan Ruusamäe <glen@delfi.ee> 3a8bf34
- new, version 2.4.3

